Results 1 to 4 of 4

Thread: metasploit update still a problem

  1. #1
    Join Date
    2014-Mar
    Posts
    81

    Question metasploit update still a problem

    Updated to the new version running 5.02, first chroot update went fine but now it wants to update metasploit. Errors out as it used to so started metasploit, still errors out. Retried and and still broke.


    dpkg:error processing metasploit (--configure):
    subprocess installed post-installation script returned error exit status 2
    Errors were encountered while processing:
    metaspolit
    E: Sub-process /usr/bin/dpkg returned an error code (1)

    apt-get update / apt-get upgrade gives same error.

    Rebooted, started MSF, retried. Same error.

    Device is Nexus 7 2013 wifi

    Ideas?
    Last edited by AWV; 2015-04-04 at 14:58.

  2. #2
    Join Date
    2014-May
    Posts
    14
    Did you start postgresql and metasploit services before updating?



    EDIT:

    service postgresql start
    service metasploit stop



    You need to stop metasploit service before upgrading/updating
    Last edited by Cubuss; 2015-04-04 at 22:08.

  3. #3
    Join Date
    2014-May
    Location
    Valencia
    Posts
    48
    Above the output you have posted, is the command which tells you how to fix it:

    mount -t proc proc /proc

    and the rerun the update

  4. #4
    Join Date
    2014-Mar
    Posts
    81
    Thanks guys

Similar Threads

  1. Replies: 0
    Last Post: 2016-04-21, 17:20
  2. Metasploit error after update
    By soiluv in forum TroubleShooting Archive
    Replies: 4
    Last Post: 2015-06-21, 19:28
  3. Metasploit & Set update trouble
    By wido046 in forum TroubleShooting Archive
    Replies: 4
    Last Post: 2013-05-03, 14:50

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •